#include "CppUTest/TestHarness.h"

extern "C" {
#include "blinky.h"
#include "iom169.h"
}

//----------------------------------------------------------------------------
TEST_GROUP(Blinky) {
    void setup() {
        PORTD = 0x00;
    }
    void teardown() {
    }
};
//............................................................................
TEST(Blinky, ZeroAfterStart) {
    BYTES_EQUAL(0x00, PORTD);
}
//............................................................................
TEST(Blinky, OnAfterOn) {
    led_on();
    CHECK((PORTD & 0x01) == 0x01);
}
//............................................................................
TEST(Blinky, OffAfterOff) {
    led_off();
    CHECK((PORTD & 0x01) == 0x00);
}
//............................................................................
TEST(Blinky, isOnAfterOn) {
    led_on();
    CHECK(led_isOn() != 0);
}
//............................................................................
TEST(Blinky, isOffAfterOff) {
    led_off();
    CHECK(led_isOn() == 0);
}
